## r-bioc-progeny 1.16.0+ds

=== DESCRIPTION ===
Package: progeny
Title: Pathway RespOnsive GENes for activity inference from gene
        expression
Version: 1.16.0
Authors@R: c(
    person(given = "Michael",
           family = "Schubert",
           role = "aut"),
    person(given = "Alberto",
           family = "Valdeolivas",
           role = "ctb",
           email = "alvaldeolivas@gmail.com",
           comment = c(ORCID = "0000-0001-5482-9023")),
    person(given = "Christian H.",
           family = "Holland",
           role = "ctb",
           email = "cholland2408@gmail.com",
           comment = c(ORCID = "0000-0002-3060-5786")),
    person(given = "Igor",
           family = "Bulanov",
           role = "ctb"),
    person(given = "Aurélien",
           family = "Dugourd",
           role = c("cre","ctb"), 
           email = "aurelien.dugourd@bioquant.uni-heidelberg.de")
           )
Description: This package provides a function to infer pathway activity
    from gene expression using PROGENy. It contains the linear model we
    inferred in the publication "Perturbation-response genes reveal signaling
    footprints in cancer gene expression".
URL: https://github.com/saezlab/progeny
BugReports: https://github.com/saezlab/progeny/issues
Depends: R (>= 3.6.0)
Imports: Biobase, stats, dplyr, tidyr, ggplot2, ggrepel, gridExtra
biocViews: SystemsBiology, GeneExpression, FunctionalPrediction,
        GeneRegulation
License: Apache License (== 2.0) | file LICENSE
LazyData: true
LazyDataCompression: bzip2
Encoding: UTF-8
Suggests: airway, biomaRt, BiocFileCache, broom, Seurat,
        SingleCellExperiment, DESeq2, BiocStyle, knitr, readr, readxl,
        pheatmap, tibble, rmarkdown, testthat (>= 2.1.0)
VignetteBuilder: knitr
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/progeny
git_branch: RELEASE_3_14
git_last_commit: 766eb72
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 22:23:28 UTC; biocbuild
Author: Michael Schubert [aut],
  Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
  Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),
  Igor Bulanov [ctb],
  Aurélien Dugourd [cre, ctb]
Maintainer: Aurélien Dugourd <aurelien.dugourd@bioquant.uni-heidelberg.de>

=== debian/changelog ===
r-bioc-progeny (1.16.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Enhance description.

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2022 15:00:34 +0100

r-bioc-progeny (1.16.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #993976)

 -- Steffen Moeller <moeller@debian.org>  Thu, 09 Sep 2021 01:26:44 +0200

=== debian/control ===
Source: r-bioc-progeny
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-ggplot2,
               r-cran-ggrepel,
               r-cran-gridextra
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-progeny
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-progeny.git
Homepage: https://bioconductor.org/packages/progeny/
Rules-Requires-Root: no

Package: r-bioc-progeny
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: activity inference from gene expression
 This package provides a function to infer pathway activity from gene
 expression using PROGENy. It contains the linear model which is described
 in the publication "Perturbation-response genes reveal signaling
 footprints in cancer gene expression".

## r-bioc-progeny 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: progeny
 Title: Pathway RespOnsive GENes for activity inference from gene
         expression
-Version: 1.16.0
+Version: 1.18.0
 Authors@R: c(
     person(given = "Michael",
            family = "Schubert",
@@ -24,14 +24,12 @@
            role = c("cre","ctb"), 
            email = "aurelien.dugourd@bioquant.uni-heidelberg.de")
            )
-Description: This package provides a function to infer pathway activity
-    from gene expression using PROGENy. It contains the linear model we
-    inferred in the publication "Perturbation-response genes reveal signaling
-    footprints in cancer gene expression".
+Description: PROGENy is resource that leverages a large compendium of publicly available signaling perturbation experiments to yield a common core of pathway responsive genes for human and mouse. These, coupled with any statistical method, can be used to infer pathway activities from bulk or single-cell transcriptomics. 
 URL: https://github.com/saezlab/progeny
 BugReports: https://github.com/saezlab/progeny/issues
 Depends: R (>= 3.6.0)
-Imports: Biobase, stats, dplyr, tidyr, ggplot2, ggrepel, gridExtra
+Imports: Biobase, stats, dplyr, tidyr, ggplot2, ggrepel, gridExtra,
+        decoupleR, reshape2
 biocViews: SystemsBiology, GeneExpression, FunctionalPrediction,
         GeneRegulation
 License: Apache License (== 2.0) | file LICENSE
@@ -42,14 +40,14 @@
         SingleCellExperiment, DESeq2, BiocStyle, knitr, readr, readxl,
         pheatmap, tibble, rmarkdown, testthat (>= 2.1.0)
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/progeny
-git_branch: RELEASE_3_14
-git_last_commit: 766eb72
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 0219412
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 22:23:28 UTC; biocbuild
+Packaged: 2022-04-26 21:38:30 UTC; biocbuild
 Author: Michael Schubert [aut],
   Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
   Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),

=== debian/changelog ===
r-bioc-progeny (1.18.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: r-bioc-decoupler
  * Remove autogenerated HTML docs since it is including compressed JS
  * Review d/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jun 2022 10:16:18 +0200

## r-bioc-progeny 1.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: progeny
 Title: Pathway RespOnsive GENes for activity inference from gene
         expression
-Version: 1.18.0
+Version: 1.20.0
 Authors@R: c(
     person(given = "Michael",
            family = "Schubert",
@@ -42,12 +42,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/progeny
-git_branch: RELEASE_3_15
-git_last_commit: 0219412
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: b012c10
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:38:30 UTC; biocbuild
+Packaged: 2022-11-01 22:32:41 UTC; biocbuild
 Author: Michael Schubert [aut],
   Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
   Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),

=== debian/changelog ===
r-bioc-progeny (1.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:18:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-progeny
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-progeny
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-progeny.git
+Homepage: https://bioconductor.org/packages/progeny/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -12,12 +16,10 @@
                r-cran-tidyr,
                r-cran-ggplot2,
                r-cran-ggrepel,
-               r-cran-gridextra
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-progeny
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-progeny.git
-Homepage: https://bioconductor.org/packages/progeny/
-Rules-Requires-Root: no
+               r-cran-gridextra,
+               r-bioc-decoupler,
+               r-cran-reshape2
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-progeny
 Architecture: all

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/progeny.html .*/progeny_(.*).tar.gz

## r-bioc-progeny 1.22.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: progeny
 Title: Pathway RespOnsive GENes for activity inference from gene
         expression
-Version: 1.20.0
+Version: 1.22.0
 Authors@R: c(
     person(given = "Michael",
            family = "Schubert",
@@ -42,12 +42,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/progeny
-git_branch: RELEASE_3_16
-git_last_commit: b012c10
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 334eee4
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 22:32:41 UTC; biocbuild
+Packaged: 2023-04-25 22:16:18 UTC; biocbuild
 Author: Michael Schubert [aut],
   Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
   Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),

=== debian/changelog ===
r-bioc-progeny (1.22.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Convert from d/t/control to d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:07:53 +0200

## r-bioc-progeny 1.24.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: progeny
 Title: Pathway RespOnsive GENes for activity inference from gene
         expression
-Version: 1.22.0
+Version: 1.24.0
 Authors@R: c(
     person(given = "Michael",
            family = "Schubert",
@@ -42,12 +42,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/progeny
-git_branch: RELEASE_3_17
-git_last_commit: 334eee4
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 590eaf5
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 22:16:18 UTC; biocbuild
+Packaged: 2023-10-24 22:31:36 UTC; biocbuild
 Author: Michael Schubert [aut],
   Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
   Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),

=== debian/changelog ===
r-bioc-progeny (1.24.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 08:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-progeny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-progeny.git
 Homepage: https://bioconductor.org/packages/progeny/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-progeny 1.26.0+ds2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: progeny
 Title: Pathway RespOnsive GENes for activity inference from gene
         expression
-Version: 1.24.0
+Version: 1.26.0
 Authors@R: c(
     person(given = "Michael",
            family = "Schubert",
@@ -42,12 +42,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/progeny
-git_branch: RELEASE_3_18
-git_last_commit: 590eaf5
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 4643a88
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:31:36 UTC; biocbuild
+Packaged: 2024-05-01 05:23:42 UTC; biocbuild
 Author: Michael Schubert [aut],
   Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
   Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),

=== debian/changelog ===
r-bioc-progeny (1.26.0+ds2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:24:40 +0200

r-bioc-progeny (1.26.0+ds2-1~0exp0) experimental; urgency=medium

  * Team upload.
  * Remove autogenerated HTML docs since it is including compressed JS
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 15:12:12 +0200

r-bioc-progeny (1.26.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 18:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,22 +11,29 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase,
+               r-bioc-biobase (>= 2.64.0),
                r-cran-dplyr,
                r-cran-tidyr,
                r-cran-ggplot2,
                r-cran-ggrepel,
                r-cran-gridextra,
-               r-bioc-decoupler,
+               r-bioc-decoupler (>= 2.10.0),
                r-cran-reshape2
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-progeny
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biobase (>= 2.64.0),
+         r-bioc-decoupler (>= 2.10.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biomart (>= 2.60.1),
+          r-bioc-biocfilecache (>= 2.12.0),
+          r-bioc-singlecellexperiment (>= 1.26.0),
+          r-bioc-deseq2 (>= 1.44.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: activity inference from gene expression
  This package provides a function to infer pathway activity from gene
  expression using PROGENy. It contains the linear model which is described

## r-bioc-progeny 1.28.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: progeny
 Title: Pathway RespOnsive GENes for activity inference from gene
         expression
-Version: 1.26.0
+Version: 1.28.0
 Authors@R: c(
     person(given = "Michael",
            family = "Schubert",
@@ -42,13 +42,13 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/progeny
-git_branch: RELEASE_3_19
-git_last_commit: 4643a88
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: cbdfaf7
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:23:42 UTC; biocbuild
+Packaged: 2024-10-30 02:13:57 UTC; biocbuild
 Author: Michael Schubert [aut],
   Alberto Valdeolivas [ctb] (<https://orcid.org/0000-0001-5482-9023>),
   Christian H. Holland [ctb] (<https://orcid.org/0000-0002-3060-5786>),

=== debian/changelog ===
r-bioc-progeny (1.28.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:51:00 +0100

r-bioc-progeny (1.28.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 15:32:26 +0100

=== debian/control ===
Source: r-bioc-progeny
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-progeny
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-progeny.git
Homepage: https://bioconductor.org/packages/progeny/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-ggplot2,
               r-cran-ggrepel,
               r-cran-gridextra,
               r-bioc-decoupler,
               r-cran-reshape2
Testsuite: autopkgtest-pkg-r

Package: r-bioc-progeny
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: activity inference from gene expression
 This package provides a function to infer pathway activity from gene
 expression using PROGENy. It contains the linear model which is described
 in the publication "Perturbation-response genes reveal signaling
 footprints in cancer gene expression".
